"""Add category and due_date to todos table

Revision ID: 002
Revises: 001
Create Date: 2025-06-17 12:00:00.000000

"""

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "002"
down_revision = "001"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column("todos", sa.Column("category", sa.String(), nullable=True))
    op.add_column(
        "todos", sa.Column("due_date", sa.DateTime(timezone=True), nullable=True)
    )
    op.create_index(op.f("ix_todos_category"), "todos", ["category"], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f("ix_todos_category"), table_name="todos")
    op.drop_column("todos", "due_date")
    op.drop_column("todos", "category")
    # ### end Alembic commands ###
